Update customer details

Use this endpoint to update customer details like address. Add a new address by providing the address without an id.
Sample Curl for creating new address
curl --location --request PUT 'https://mygatewayurl.com/V1/customer/profile' --header 'Content-Type: application/json' --header 'Authorization: Bearer y2lsns70fn5y7zp0znacdoprmphmjz71' --data-raw '{"customer":{"dob":"1992-11-11 11:11:11","email":"[email protected]","firstname":"John","lastname":"Smithereen","middlename":"Doe","confirmation":true,"gender":0,"website_id":0,"default_shipping":"1","default_billing":"1","addresses":[{"region":"Baghdad Governorate","region_id":1375,"country_id":"IQ","street":["-"],"telephone":"7123456780","postcode":"-","city":"Baghdad","firstname":"marshall","lastname":"lee","custom_attributes":[{"attribute_code":"lat","value":"33.3183237"},{"attribute_code":"lng","value":"44.4452441"}]}]}}'

Sample Curl for updating existing address.
curl --location --request PUT 'https://mygatewayurl.com/V1/customer' --header 'Content-Type: application/json' --header 'Authorization: Bearer y2lsns70fn5y7zp0znacdoprmphmjz71' --data-raw '{"customer":{"dob":"1992-11-11 11:11:11","email":"[email protected]","firstname":"John","lastname":"Smithereen","middlename":"Doe","confirmation":true,"gender":0,"website_id":0,"default_shipping":"1","default_billing":"1","addresses":[{"id":270,"region":"Baghdad Governorate","region_id":1375,"country_id":"IQ","street":["-"],"telephone":"7123456780","postcode":"-","city":"Baghdad","firstname":"marshall","lastname":"lee","custom_attributes":[{"attribute_code":"lat","value":"33.3183237"},{"attribute_code":"lng","value":"44.4452441"}]}]}}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

This must match any validation restrictions on Omnyfy. Please check settings/documentation. Example, your system might choose minimum of 8 characters with at least one number and one capital character.

string

Used for re-direction to a different page after registration.

customer
object
required
Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json